Bug 49715 - ProxyPassMatch Url Encoder Problem
Summary: ProxyPassMatch Url Encoder Problem
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy_ajp (show other bugs)
Version: 2.2.15
Hardware: PC Linux
: P2 major with 6 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-08-06 02:25 UTC by Jan Souza
Modified: 2018-11-07 21:09 UTC (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Souza 2010-08-06 02:25:46 UTC
There is a issue on ProxyPassMatch url encoder.

ProxyPassMatch ^/profile/(.+)$ ajp://localhost:8009/app-web/profile.do?login=$1

Tomcat log:
[06/Aug/2010:02:43:24 -0300] "GET /app-web/profile.do%3Flogin=username

Should be /app-web/profile.do?login=username

-- 
/*
* Atenciosamente/ Regards/ Saludos, 
* Jan Souza
*/
Comment 1 Pieter Bos 2010-09-07 10:58:04 UTC
The same problem exists with ProxyPassReverse. We only experience this problem with the following configuration lines:

   SSLEngine On

   ProxyPass         / http://nvc1576:9000/
   ProxyPassReverse  / http://nvc1576:9000/

   ProxyPreserveHost On

Our server is a tomcat server as well. The problem is that in a redirect, Tomcat sends a Location header with the original hostname:

Location http://example.com/test?parameter=3

Then Apache changes this into:

Location https://example.com/test%3Fparameter%313

This bug dissappears when you turn either the SSLEngine or the ProxyPreserveHost off. We need it to be on for our configuration.
Comment 2 Pieter Bos 2010-09-07 11:00:15 UTC
The same problem exists with ProxyPassReverse. We only experience this problem with the following configuration lines:

   SSLEngine On

   ProxyPass         / http://nvc1576:9000/
   ProxyPassReverse  / http://nvc1576:9000/

   ProxyPreserveHost On

Our server is a tomcat server as well. The problem is that in a redirect, Tomcat sends a Location header with the original hostname:

Location http://example.com/test?parameter=3

Then Apache changes this into:

Location https://example.com/test%3Fparameter%313

This bug dissappears when you turn either the SSLEngine or the ProxyPreserveHost off. We need it to be on for our configuration.
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:45 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.